"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

const template = configContext => {
  const {
    React
  } = configContext.lib;
  const {
    Col,
    Cols,
    Panel
  } = configContext.layoutComponents;
  const {
    Field
  } = configContext.recordComponents;
  const {
    extensions
  } = configContext.config; // TODO: Some nagpra claim extension fields are interleaved with common fields in the info panel,
  // so they must be individually rendered with <Field> tags, instead of being able to just insert
  // the form snippet provided by the extension. This can be fixed by moving those fields in the
  // nagpra extension into the common part, which is where they really should have been.

  return /*#__PURE__*/React.createElement(Field, {
    name: "document"
  }, /*#__PURE__*/React.createElement(Panel, {
    name: "info",
    collapsible: true
  }, /*#__PURE__*/React.createElement(Cols, null, /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "claimNumber"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "nagpraClaimName",
    subpath: "ns2:claims_nagpra"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "nagpraClaimAltNameGroupList",
    subpath: "ns2:claims_nagpra"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "nagpraClaimAltNameGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "nagpraClaimAltName"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "nagpraClaimAltNameNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "claimantGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "claimantGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "claimFiledBy"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "claimFiledOnBehalfOf"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "claimantNote"
  })))), /*#__PURE__*/React.createElement(Col, null, /*#__PURE__*/React.createElement(Field, {
    name: "nagpraClaimTypes",
    subpath: "ns2:claims_nagpra"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "nagpraClaimType"
  })), /*#__PURE__*/React.createElement(Field, {
    name: "claimReceivedGroupList"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "claimReceivedGroup"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "claimReceivedDate"
  }), /*#__PURE__*/React.createElement(Field, {
    name: "claimReceivedNote"
  }))), /*#__PURE__*/React.createElement(Field, {
    name: "nagpraClaimNotes",
    subpath: "ns2:claims_nagpra"
  }, /*#__PURE__*/React.createElement(Field, {
    name: "nagpraClaimNote"
  }))))), extensions.nagpra.claim.form);
};

var _default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.claim.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(configContext)
});

exports.default = _default;